Show / Hide Table of Contents

# Class ChatGui

##### Inheritance

System.Object
ChatGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ChatGui : IDisposable

### Constructors

| Improve this Doc View Source

#### ChatGui(IntPtr, SigScanner, Dalamud)

##### Declaration

    public ChatGui(IntPtr baseAddress, SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | baseAddress |
SigScanner | scanner |
Dalamud.Dalamud | dalamud |

### Properties

| Improve this Doc View Source

#### LastLinkedItemFlags

##### Declaration

    public byte LastLinkedItemFlags { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### LastLinkedItemId

##### Declaration

    public int LastLinkedItemId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

| Improve this Doc View Source

#### Print(String)

##### Declaration

    public void Print(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message |

| Improve this Doc View Source

#### PrintChat(XivChatEntry)

Queue a chat message. While method is named as PrintChat, it only add a entry to the queue, later to be processed when UpdateQueue() is called.

##### Declaration

    public void PrintChat(XivChatEntry chat)

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatEntry | chat | A message to send.

| Improve this Doc View Source

#### PrintError(String)

##### Declaration

    public void PrintError(string message)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | message |

| Improve this Doc View Source

#### UpdateQueue(Framework)

Process a chat queue.

##### Declaration

    public void UpdateQueue(Framework framework)

##### Parameters

Type | Name | Description
--- | --- | ---
Framework | framework |

### Events

| Improve this Doc View Source

#### OnChatMessage

Event that will be fired when a chat message is sent to chat by the game.

##### Declaration

    public event ChatGui.OnMessageDelegate OnChatMessage

##### Event Type

Type | Description
--- | ---
ChatGui.OnMessageDelegate |

| Improve this Doc View Source

#### OnChatMessageRaw

Event that will be fired when a chat message is sent by the game, containing raw, unparsed data.

##### Declaration

    [Obsolete("Please use OnChatMessage instead. For modifications, it will take precedence.")]
    public event ChatGui.OnMessageRawDelegate OnChatMessageRaw

##### Event Type

Type | Description
--- | ---
ChatGui.OnMessageRawDelegate |

| Improve this Doc View Source

#### OnCheckMessageHandled

Event that allows you to stop messages from appearing in chat by setting the isHandled parameter to true.

##### Declaration

    public event ChatGui.OnCheckMessageHandledDelegate OnCheckMessageHandled

##### Event Type

Type | Description
--- | ---
ChatGui.OnCheckMessageHandledDelegate |

### Implements

System.IDisposable